Device Reachability Status

Device Reachability Status API

1.0.0OAS 3.0

CAMARA Device Reachability Status API. Indicates whether a device is reachable on the network.

API Base URL
  • Server 1:https://api.pxg.konera.com/camara

    Production CAMARA API Gateway

Security
OAuth2ClientCredentials (oauth2)

Client Credentials OAuth Flow

Token URL: https://auth.konera.com/oauth2/token

Scopes:

  • device-reachability.read - Read device reachability signal

Device Reachability Status

Device reachability APIs

Retrieve device reachability status

Indicates whether the specified device is currently reachable on the network.

post
https://api.pxg.konera.com/camara/device-reachability-status/v1/retrieve

Headers

x-correlation-idstring

Correlation ID for request tracing

Body

application/json

DeviceReachabilityRequest

phoneNumberstringrequired

MSISDN in E.164 format

Example:+14155550123

maxAgeSecondsinteger | null

Maximum acceptable age of the reachability information in seconds

>= 0

Example:60

Response

application/json

Reachability status returned

DeviceReachabilityResponse

isReachablebooleanrequired

Indicates whether the device is currently reachable

Example:true

assessedAtstring(date-time)required

Time when reachability was assessed

Example:2026-02-10T10:00:00Z

post/device-reachability-status/v1/retrieve

Body

{ "phoneNumber": "+14155550123", "maxAgeSeconds": 60 }
 
application/json

DeviceReachabilityRequest

object
phoneNumberstringrequired

MSISDN in E.164 format

Example:+14155550123

maxAgeSecondsinteger

Maximum acceptable age of the reachability information in seconds

>= 0

Example:60

Example

DeviceReachabilityResponse

object
isReachablebooleanrequired

Indicates whether the device is currently reachable

Example:true

assessedAtstring(date-time)required

Time when reachability was assessed

Example:2026-02-10T10:00:00Z

Example